Subject: bug#17103: regression: cp -al doesn't copy symlinks, but tries to link to them (fail)

From: Paul Eggert <[email-masked]>
Date: Wed, 26 Mar 2014 21:13:10 -0700

Pádraig Brady wrote:
> I'm not sure there is anything we should do here.

I looked at <http://lwn.net/Articles/503671/> and as far as I can tell 
symlinks are vulnerable to none of the attacks they mention, because 
symlinks are unalterable.  However, the non-symlink hardlink attacks are 
a real problem, and it would seem silly for cp -al to have a workaround 
for symlinks (which I expect we can do reasonably safely) when cp can't 
and shouldn't try to have a workaround for anything else.

So I'm with you; let's leave this one alone.